> For the complete documentation index, see [llms.txt](https://docs.identomat.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.identomat.com/sdks/flutter-sdk.md).

# Flutter SDK

{% hint style="info" %}
Latest release: **Version** **0.0.16**
{% endhint %}

## Overview

The Identomat Flutter SDK provides a Flutter interface for starting an Identomat verification session in a mobile application using a session key.

The SDK is responsible for:

* Initializing the Identomat verification flow
* Launching the verification UI
* Communicating with the native Identomat implementation

## Getting started

### Depend on it

Run this command:

```sh
 $ flutter pub add identomat_flutter
```

This will add a line like this to your package's `pubspec.yaml` (and run an implicit `flutter pub get`):

```
dependencies:
  identomat_flutter: ^0.0.11
```

Alternatively, your editor might support `flutter pub get`. Check the docs for your editor to learn more.

### Import it

In your Dart code, you can use:

```
import 'package:identomat_flutter/identomat.dart';
import 'package:identomat_flutter/identomat_flutter_method_channel.dart';
import 'package:identomat_flutter/identomat_flutter_platform_interface.dart';
```

## Example

**example/lib/main.dart**

```
import 'package:flutter/material.dart';
import 'dart:async';

import 'package:identomat_flutter/identomat.dart';
import 'package:identomat_flutter_example/data.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({super.key});

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  final identomat = Identomat();
  TextEditingController myController = TextEditingController();
  final formKey = GlobalKey<FormState>();

  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState(String sesstionKey) async {
    identomat.setCallback(
      () {
        print('===========>>> ONCALL');
      },
    );
    await identomat.setBaseUrl(data['baseUrl']);
    await identomat.setColors(data['colors']);
    await identomat.setStrings(data['strings']);
    await identomat.start(sesstionKey);
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: Padding(
            padding: const EdgeInsets.all(16),
            child: Form(
              key: formKey,
              child: Column(
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  TextFormField(
                    controller: myController,
                    decoration:
                        const InputDecoration(hintText: 'Enter session key'),
                    validator: (text) {
                      if (text == null || text.trim().isEmpty) {
                        return 'Session key is empty';
                      }
                      return null;
                    },
                  ),
                  const SizedBox(
                    height: 20,
                  ),
                  ElevatedButton(
                    onPressed: () {
                      FocusManager.instance.primaryFocus?.unfocus();
                      if (formKey.currentState!.validate()) {
                        initPlatformState(myController.text.trim());
                      }
                    },
                    child: const Text('Click'),
                  ),
                ],
              ),
            ),
          ),
        ),
      ),
    );
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.identomat.com/sdks/flutter-sdk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
